memscroller(6)

NAME
memscroller - scrolls a dump of its own RAM across the screen

SYNOPSIS
memscroller [--display host:display.screen] [--window] [--root] [--window-id number][--mono] [--install] [--visual visual] [--font font] [--delay int] [--mono | -color] [--ram | -random | --filename file] [--fps]

DESCRIPTION
The memscroller program scrolls a dump of its own process memory across the screen in three windows at three different rates.

OPTIONS
memscroller accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--color
    Render each three bytes of memory as R, G, B. This is the default.

--mono
    Render each byte of memory in shades of green.

--ram
    Read from the process's address space. This is the default.

--random
    Instead of reading from memory, generate random numbers.

--filename file
    Instead of reading from memory, read from the given file until EOF, then re-open it. If you have permission, /dev/mem is an interesting choice here. (Note that /dev/null won't ever display anything, because it returns EOF without ever returning any data.)

--delay microseconds
    How much of a delay should be introduced between steps of the animation. Default 10000.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2004 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 14-Aug-2004.